## marble 4.11.2

=== debian/changelog ===
marble (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:50:00 +0100

marble (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:37:00 +0100

marble (4:4.11.0a-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Rohan Garg ]
  * Update libmarblewidget16.install

 -- Howard Chan <smartboyhw@gmail.com>  Thu, 08 Aug 2013 12:53:16 +0800

marble (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:59:43 +0100

marble (4:4.10.95-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream RC release

  [ Philip Muškovac ]
  * Add new symbols for libmarblewidget16

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:26 +0000

marble (4:4.10.90-0ubuntu1) saucy; urgency=low

  [ Michał Zając ]
  * New upstream beta release

  [ Howard Chan ]
  * Fix symbols file for libmarblewidget16.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 28 Jun 2013 18:28:16 +0100

marble (4:4.10.80-0ubuntu2) saucy; urgency=low

  * Make sure the marble-qt binary is installed

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 17:35:07 +0530

marble (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Update install files
    - Update symbols
    - Bump so versions
      - libmarblewidget15 -> libmarblewidget16
    - New Qt only package, marble-qt

  [ Jonathan Riddell ]
  * Add build-dep on libquazip0-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:45:17 +0100

marble (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:48:20 +0100

marble (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining change:
   - add marble-touch package
   - remove marble-touch from not-installed
   - add build-dep on libwlocate-dev libqextserialport-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 May 2013 16:10:55 +0000

marble (4:4.10.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Bump the kde-sc-dev-latest and kdelibs5-dev build dependencies to 4.10.
  * Add libshp-dev build dependency for shapefile support.
  * Update install files.

 -- Sune Vuorela <sune@debian.org>  Mon, 29 Apr 2013 01:55:09 +0200

marble (4:4.10.2-1) experimental; urgency=low

  * New upstream release
    -  Libmarblewidget changed SONAME => adapt
  * Update uploaders
  * Update install files
  * Add shared-mime-info to build-dep. We apparantly need that as well.
    Sneaky added by upstream.

 -- Sune Vuorela <sune@debian.org>  Wed, 03 Apr 2013 19:39:10 +0000
