=== debian/control ===
Source: marble
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.11.2),
 pkg-config,
 libgps-dev (>= 2.90),
 libx11-dev,
 libqtwebkit-dev,
 libshp-dev,
 qtmobility-dev [linux-any],
 shared-mime-info,
 libwlocate-dev,
 libqextserialport-dev,
 libquazip0-dev
Standards-Version: 3.9.2
Homepage: http://edu.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git

Package: marble
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
 marble-plugins (= ${binary:Version})
Suggests: libqt4-sql-sqlite, monav-routing-daemon, routino, gosmore
Description: globe and map widget
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-qt
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: globe and map widget (no KDE dependencies)
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This package is part of the KDE education module.

Package: marble-touch
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version}),
 marble-plugins (= ${binary:Version})
Description: globe and map widget for tablets
 Marble is a generic geographical map widget and framework for KDE
 applications. The Marble widget shows the earth as a sphere but does not
 require hardware acceleration.  A minimal set of geographical data is
 included, so it can be used without an internet connection.
 .
 This versions of marble is designed for use on tablet computers.
 .
 This package is part of the KDE education module.

Package: marble-data
Architecture: all
Section: misc
Depends: ${misc:Depends}
Description: data files for Marble
 This package contains the architecture-independent data files for the Marble
 desktop globe.
 .
 This package is part of the KDE education module.

Package: marble-plugins
Architecture: any
Section: misc
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libmarble4
Breaks: libmarble4
Description: plugins for Marble
 This package contains various plugins for the Marble desktop globe. The Marble
 globe widget library may not be of much use if this package is not installed.
 .
 This package is part of the KDE education module.

Package: libmarblewidget16
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
Recommends: marble-plugins (= ${binary:Version})
Description: Marble globe widget library
 This package contains shared libraries for the Marble globe widget.
 .
 This package is part of the KDE education module.

Package: libmarble-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget16 (= ${binary:Version}),
 ${sameVersionDep:libqt4-dev:libmarblewidget16}
Description: development files for the Marble globe widget library
 This package contains development files for building software that uses the
 Marble globe widget library.
 .
 This package is part of the KDE education module.

Package: marble-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, marble (= ${binary:Version})
Breaks: kdeedu-dbg (<< 4:4.6.80)
Replaces: kdeedu-dbg (<< 4:4.6.80)
Description: debugging symbols for the KDE education module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE education module.
