=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.2),
+ kdelibs5-dev (>= 4:4.11.5),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
@@ -21,8 +21,8 @@
  libquazip0-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble-13.10
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
