## marble 4.12.3

=== debian/changelog ===
marble (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:52:17 +0100

marble (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:17:26 +0100

marble (4:4.12.2-0ubuntu3) trusty; urgency=medium

  * Add libwlocate0 as explicit dependency of marble-plugins. It is a
    runtime dependency that otherwise makes the WlocatePositionProviderPlugin
    fail to load. LP: #1284099

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 24 Feb 2014 14:32:54 +0100

marble (4:4.12.2-0ubuntu2) trusty; urgency=medium

  * Update symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Feb 2014 15:29:54 +0000

marble (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:23:14 +0000

marble (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:36:55 +0000

marble (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:38:28 +0000

marble (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:35:57 +0000

marble (4:4.11.95-0ubuntu1) trusty; urgency=low

  [ Rohan Garg ]
  * New upstream beta release

  [ Philip Muškovac ]
  * Update install path for the designer plugins

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:33:44 +0100

marble (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:55:34 +0100
