=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  cmake,
  debhelper (>= 7.3.16),
  pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
+ kdelibs5-dev (>= 4:4.12.3),
  pkg-config,
  libgps-dev (>= 2.90),
  libx11-dev,
@@ -21,8 +21,8 @@
  libquazip0-dev
 Standards-Version: 3.9.2
 Homepage: http://edu.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/marble
 X-Vcs-Debian-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/marble.git
 X-Vcs-Debian-Git: git://git.debian.org/pkg-kde/kde-sc/marble.git
 
@@ -80,7 +80,7 @@
 Package: marble-plugins
 Architecture: any
 Section: misc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libwlocate0
 Replaces: libmarble4
 Breaks: libmarble4
 Description: plugins for Marble
@@ -89,7 +89,7 @@
  .
  This package is part of the KDE education module.
 
-Package: libmarblewidget16
+Package: libmarblewidget17
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}, marble-data (>= ${source:Version})
@@ -102,8 +102,8 @@
 Package: libmarble-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget16 (= ${binary:Version}),
- ${sameVersionDep:libqt4-dev:libmarblewidget16}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmarblewidget17 (= ${binary:Version}),
+ ${sameVersionDep:libqt4-dev:libmarblewidget17}
 Description: development files for the Marble globe widget library
  This package contains development files for building software that uses the
  Marble globe widget library.
